错误通过类com.google.android.maps.MapView

我只是按照一个简单的地图教程http://developer.android.com/resources/tutorials/views/hello-mapview.html但收到此错误。 我是android的新手我试图遵循通过互联网提供的所有解决方案,但还没有成功。 请帮帮我。 我的主要.xml在下面

  

和manifestfile就是这个

我遇到了这个问题并通过以下两个步骤解决了这个问题:

1)将以下行放在AndroidManifest.xml文件的application (important)元素中。

  

2)扩展MapActivity而不是Activity。

请享用!

您是否将主类扩展为MapActivity?

 public class a extends MapActivity { /** Called when the activity is first created. */ @Override public void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); setContentView(R.layout.main); } @Override protected boolean isRouteDisplayed() { // TODO Auto-generated method stub return false; } } 

我有同样的问题,大约3个小时的搜索,这是我做的修复它,所有在清单。

1)在我的清单中,此代码不在正确的位置

   

它应该在这里,在

   

喜欢这个

   ...   ...  ...  

2)我在舱单的某个地方丢了一段时间

       

3)我没有指定min sdk版本

   

码:

   

4)在调试模式下通过eclipse使地图工作按照cmd或终端中的这些说明进行操作http://www.buzztouch.com/resources/Obtaining_a_Google_Maps_API_Key_v1.0.pdf

我希望这可以帮助别人

我有问题。 只需扩展MapActivity而不是Activity。

您运行该应用程序的模拟器没有谷歌地图jar。 因此,从Google API创建模拟器会在那里运行您的应用程序。

查看图片以使用Google API创建模拟器

在此处输入图像描述

将其插入MapView的xml声明中

 xmlns:android="http://schemas.android.com/apk/res/android" 

除了使用标记之外,还可以使用谷歌地图

  

在标记中,使用另一个标记

  

在标签内,你就完成了。

但请记住,您应该在AVD与Google Inc. API兼容的情况下运行此应用程序,但不能在Android API中运行。

另一个重要的事情是,确保您使用的是MD5 API密钥而不是SHA1或任何其他协议API密钥。

我知道以下不是原始提问者的错误 – 但由于我的问题导致了相同的错误消息,我想我也可以添加它以防将来有人遇到它。

我检查了所有其他好的提示,但我的项目中没有一个丢失。

最终解决了我的问题是,我忘了在布局中声明MapView,包括完整的包名。 Eclipse和Lint都没有告诉我这件事:

  

即使遵循上面提到的所有步骤但是没有为MapView指定api-key,也会得到此exception。 只需添加从谷歌获得的api-key